"use strict";
const common_vendor = require("../../common/vendor.js");
const INDEX_me_method = require("./method.js");
const INDEX_me_model = require("./model.js");
require("../../common/libraries/request.js");
require("../../common/store/useWeAppAuthStore.js");
require("../../gen/Apis.js");
require("../../common/store/useWorkStore.js");
require("../../common/libraries/setTabBar.js");
require("../../common/libraries/apiLoading.js");
require("../../common/libraries/naviHelper.js");
require("../../common/libraries/upload.js");
if (!Array) {
  const _easycom_up_avatar2 = common_vendor.resolveComponent("up-avatar");
  const _easycom_hs_cell2 = common_vendor.resolveComponent("hs-cell");
  const _easycom_hs_input2 = common_vendor.resolveComponent("hs-input");
  const _easycom_hs_footer2 = common_vendor.resolveComponent("hs-footer");
  (_easycom_up_avatar2 + _easycom_hs_cell2 + _easycom_hs_input2 + _easycom_hs_footer2)();
}
const _easycom_up_avatar = () => "../../node-modules/uview-plus/components/u-avatar/u-avatar.js";
const _easycom_hs_cell = () => "../../components/hs-cell/hs-cell.js";
const _easycom_hs_input = () => "../../components/hs-input/hs-input.js";
const _easycom_hs_footer = () => "../../components/hs-footer/hs-footer.js";
if (!Math) {
  (_easycom_up_avatar + _easycom_hs_cell + _easycom_hs_input + _easycom_hs_footer)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    common_vendor.onLoad(() => {
      var _a;
      (_a = INDEX_me_method.method) == null ? void 0 : _a.init();
    });
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e, _f, _g, _h, _i, _j;
      return common_vendor.e({
        a: (_c = (_b = (_a = common_vendor.unref(INDEX_me_model.useModel)) == null ? void 0 : _a.formData) == null ? void 0 : _b.value) == null ? void 0 : _c.avatar
      }, ((_f = (_e = (_d = common_vendor.unref(INDEX_me_model.useModel)) == null ? void 0 : _d.formData) == null ? void 0 : _e.value) == null ? void 0 : _f.avatar) ? {
        b: common_vendor.f((_i = (_h = (_g = common_vendor.unref(INDEX_me_model.useModel)) == null ? void 0 : _g.formData) == null ? void 0 : _h.value) == null ? void 0 : _i.avatar, (i, index, i0) => {
          return {
            a: "5dc23747-1-" + i0 + ",5dc23747-0",
            b: common_vendor.p({
              size: "50",
              src: i == null ? void 0 : i.url
            }),
            c: `avatar_${index}`
          };
        })
      } : {
        c: common_vendor.p({
          size: "50"
        })
      }, {
        d: common_vendor.o(
          //@ts-ignore
          (...args) => {
            var _a2, _b2;
            return ((_a2 = common_vendor.unref(INDEX_me_method.method)) == null ? void 0 : _a2.handleChooseAvatar) && ((_b2 = common_vendor.unref(INDEX_me_method.method)) == null ? void 0 : _b2.handleChooseAvatar(...args));
          }
        ),
        e: common_vendor.p({
          title: "头像",
          borderTop: true
        }),
        f: common_vendor.o(($event) => common_vendor.unref(INDEX_me_model.useModel).formData.value.name = $event),
        g: common_vendor.p({
          textAlign: "right",
          type: "nickname",
          valueModel: common_vendor.unref(INDEX_me_model.useModel).formData.value.name
        }),
        h: common_vendor.p({
          title: "昵称",
          borderTop: true
        }),
        i: common_vendor.t(((_j = common_vendor.unref(INDEX_me_model.useModel).formData.value) == null ? void 0 : _j.phone) || ""),
        j: common_vendor.p({
          title: "手机号",
          borderTop: true
        }),
        k: common_vendor.o(($event) => {
          var _a2;
          return (_a2 = common_vendor.unref(INDEX_me_method.method)) == null ? void 0 : _a2.handleLogout();
        }),
        l: common_vendor.o(($event) => {
          var _a2;
          return (_a2 = common_vendor.unref(INDEX_me_method.method)) == null ? void 0 : _a2.handleConfirm();
        }),
        m: common_vendor.p({
          btnOtherName: "退出登录",
          btnParimaryName: "保存",
          btnOtherShow: true
        })
      });
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-customer/src/INDEX/me/index.vue"]]);
wx.createPage(MiniProgramPage);
